Loading...
Searching...
No Matches
polys_test_runner.cpp File Reference
`#include "cxxtest/TestListener.h"`
`#include "cxxtest/TestTracker.h"`
`#include "cxxtest/TestRunner.h"`
`#include "cxxtest/RealDescriptions.h"`
`#include "cxxtest/ErrorPrinter.h"`
`#include "./polys_test.h"`
`#include "cxxtest/Root.cpp"`

Go to the source code of this file.

## Data Structures

class | TestDescription_PolysTestSuite_test_Z13_t
class | TestDescription_PolysTestSuite_test_QQ_t
class | TestDescription_PolysTestSuite_test_Z11_x_y_z
class | TestDescription_PolysTestSuite_test_QQ_x_y_z
class | TestDescription_PolysTestSuite_test_Z13_t_GF
class | TestDescription_PolysTestSuite_test_Q_Ext_a
class | TestDescription_PolysTestSuite_test_Q_Ext_b
class | TestDescription_PolysTestSuite_test_Z_17_Ext_a
class | TestDescription_PolysTestSuite_test_Q_Ext_s_t
class | TestDescription_PolysTestSuite_test_Q_Ext_Performance
class | TestDescription_PolysTestSuite_test_Q_Ext_s_t_NestedFractions

## Macros

#define | CXXTEST_RUNNING
#define | _CXXTEST_HAVE_STD

## Functions

int | main (int, char *argv[])

## Variables

char * | argv0 = NULL
static PolysTestSuite | suite_PolysTestSuite
static CxxTest::List | Tests_PolysTestSuite = { 0, 0 }
CxxTest::StaticSuiteDescription | suiteDescription_PolysTestSuite ("./polys_test.h", 209, "PolysTestSuite", suite_PolysTestSuite, Tests_PolysTestSuite)
TestDescription_PolysTestSuite_test_Z13_t | testDescription_PolysTestSuite_test_Z13_t
TestDescription_PolysTestSuite_test_QQ_t | testDescription_PolysTestSuite_test_QQ_t
TestDescription_PolysTestSuite_test_Z11_x_y_z | testDescription_PolysTestSuite_test_Z11_x_y_z
TestDescription_PolysTestSuite_test_QQ_x_y_z | testDescription_PolysTestSuite_test_QQ_x_y_z
TestDescription_PolysTestSuite_test_Z13_t_GF | testDescription_PolysTestSuite_test_Z13_t_GF
TestDescription_PolysTestSuite_test_Q_Ext_a | testDescription_PolysTestSuite_test_Q_Ext_a
TestDescription_PolysTestSuite_test_Q_Ext_b | testDescription_PolysTestSuite_test_Q_Ext_b
TestDescription_PolysTestSuite_test_Z_17_Ext_a | testDescription_PolysTestSuite_test_Z_17_Ext_a
TestDescription_PolysTestSuite_test_Q_Ext_s_t | testDescription_PolysTestSuite_test_Q_Ext_s_t
TestDescription_PolysTestSuite_test_Q_Ext_Performance | testDescription_PolysTestSuite_test_Q_Ext_Performance
TestDescription_PolysTestSuite_test_Q_Ext_s_t_NestedFractions | testDescription_PolysTestSuite_test_Q_Ext_s_t_NestedFractions

## Macro Definition Documentation

## _CXXTEST_HAVE_STD

#define _CXXTEST_HAVE_STD

Definition at line 7 of file polys_test_runner.cpp.

## CXXTEST_RUNNING

#define CXXTEST_RUNNING

Definition at line 4 of file polys_test_runner.cpp.

## Function Documentation

## main()

int main | ( | int | ,
|  | char * | argv[] )

Definition at line 15 of file polys_test_runner.cpp.

{
argv0 = argv[0];
return CxxTest::ErrorPrinter().run();
}
CxxTest::ErrorFormatter::run
int run()
Definition ErrorFormatter.h:45
CxxTest::ErrorPrinter
Definition ErrorPrinter.h:29
argv0
char * argv0
Definition coeffs_test_runner.cpp:14

## Variable Documentation

## argv0

char* argv0 = NULL

Definition at line 14 of file polys_test_runner.cpp.

## suite_PolysTestSuite

PolysTestSuite suite_PolysTestSuite

static

Definition at line 21 of file polys_test_runner.cpp.

## suiteDescription_PolysTestSuite

CxxTest::StaticSuiteDescription suiteDescription_PolysTestSuite("./polys_test.h", 209, "PolysTestSuite", suite_PolysTestSuite, Tests_PolysTestSuite) | ( | "./polys_test.h" | ,
|  | 209 | ,
|  | "PolysTestSuite" | ,
|  | suite_PolysTestSuite | ,
|  | Tests_PolysTestSuite | )

## testDescription_PolysTestSuite_test_Q_Ext_a

TestDescription_PolysTestSuite_test_Q_Ext_a testDescription_PolysTestSuite_test_Q_Ext_a

static

## testDescription_PolysTestSuite_test_Q_Ext_b

TestDescription_PolysTestSuite_test_Q_Ext_b testDescription_PolysTestSuite_test_Q_Ext_b

static

## testDescription_PolysTestSuite_test_Q_Ext_Performance

TestDescription_PolysTestSuite_test_Q_Ext_Performance testDescription_PolysTestSuite_test_Q_Ext_Performance

static

## testDescription_PolysTestSuite_test_Q_Ext_s_t

TestDescription_PolysTestSuite_test_Q_Ext_s_t testDescription_PolysTestSuite_test_Q_Ext_s_t

static

## testDescription_PolysTestSuite_test_Q_Ext_s_t_NestedFractions

TestDescription_PolysTestSuite_test_Q_Ext_s_t_NestedFractions testDescription_PolysTestSuite_test_Q_Ext_s_t_NestedFractions

static

## testDescription_PolysTestSuite_test_QQ_t

TestDescription_PolysTestSuite_test_QQ_t testDescription_PolysTestSuite_test_QQ_t

static

## testDescription_PolysTestSuite_test_QQ_x_y_z

TestDescription_PolysTestSuite_test_QQ_x_y_z testDescription_PolysTestSuite_test_QQ_x_y_z

static

## testDescription_PolysTestSuite_test_Z11_x_y_z

TestDescription_PolysTestSuite_test_Z11_x_y_z testDescription_PolysTestSuite_test_Z11_x_y_z

static

## testDescription_PolysTestSuite_test_Z13_t

TestDescription_PolysTestSuite_test_Z13_t testDescription_PolysTestSuite_test_Z13_t

static

## testDescription_PolysTestSuite_test_Z13_t_GF

TestDescription_PolysTestSuite_test_Z13_t_GF testDescription_PolysTestSuite_test_Z13_t_GF

static

## testDescription_PolysTestSuite_test_Z_17_Ext_a

TestDescription_PolysTestSuite_test_Z_17_Ext_a testDescription_PolysTestSuite_test_Z_17_Ext_a

static

## Tests_PolysTestSuite

CxxTest::List Tests_PolysTestSuite = { 0, 0 }

static

Definition at line 23 of file polys_test_runner.cpp.

{ 0, 0 };